Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attest.builders
Interface RequestObjectBuilder

All Known Implementing Classes:
  RequestObjectBuilderImpl

    public interface RequestObjectBuilder

Provides method(s) to create an eAttest WS request. Default impl : `ResponseObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

Method Summary
`AttestBuilderRequest` | `buildSendAttestationRequest(boolean isTest, InputReference references, Ssin ssin, org.joda.time.DateTime referenceDate, Kmehrmessage kmehrmessage)` Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

Method Detail

### buildSendAttestationRequest

    AttestBuilderRequest buildSendAttestationRequest(boolean isTest,
                                                     InputReference references,
                                                     Ssin ssin,
                                                     org.joda.time.DateTime referenceDate,
                                                     Kmehrmessage kmehrmessage)
                                                     throws TechnicalConnectorException,
                                                            AttestBusinessConnectorException,
                                                            JAXBException,
                                                            TransformerException,
                                                            UnsupportedEncodingException

  Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  Parameters:
    `isTest` - indicates if this is a test or not
    `ssin` - the ssin of the the patient
    `referenceDate` - the reference date
    `kmehrmessage` - the kmehr message specifying the attestation to send
  Returns:
    a wrapper containing the valid request that will be sent to the WS and the SendTransactionRequest before encryption
  Throws:
    `InstantiationException`
    `AttestBusinessConnectorException`
    `TechnicalConnectorException`
    `JAXBException`
    `TransformerException`
    `UnsupportedEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.